
package de.ivu.elect.business.veranstaltung.control;

import javax.inject.Inject;
import javax.enterprise.event.Event;

import de.ivu.elect.business.veranstaltung.entity.Veranstaltung;
import de.ivu.elect.business.veranstaltung.boundary.VeranstaltungDAO;
import de.ivu.elect.business.veranstaltung.boundary.VeranstaltungCreateEvent;

// abgeleitete Klasse NICHT mit "@javax.ejb.Stateless" annotieren!
public abstract class AbstractVeranstaltungCreate {

  @Inject
  protected VeranstaltungDAO dao;

    @Inject
    transient Event<VeranstaltungCreateEvent> createEvent;



  


public void save(Veranstaltung entity) {
    dao.persist(entity);
    sendCreateEvent(entity);
  }

  public void sendCreateEvent(Veranstaltung entity) {
        createEvent.fire(new VeranstaltungCreateEvent(entity));
  }

}
